## org.python.core
Class IdImpl1

    java.lang.Object
      org.python.core.IdImpl
          org.python.core.IdImpl1

Deprecated. Java1 no longer supported.

    public class IdImpl1

extends IdImpl

Constructor Summary
`IdImpl1()` Deprecated.

Method Summary
`long` `id(PyObject o)` Deprecated.
`java.lang.String` `idstr(PyObject o)` Deprecated.
`long` `java_obj_id(java.lang.Object o)` Deprecated.

Methods inherited from class org.python.core.IdImpl
`getInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdImpl1

    public IdImpl1()

  Deprecated.

Method Detail

### id

    public long id(PyObject o)

  Deprecated.
  Specified by:
    `id` in class `IdImpl`

### idstr

    public java.lang.String idstr(PyObject o)

  Deprecated.
  Specified by:
    `idstr` in class `IdImpl`

### java_obj_id

    public long java_obj_id(java.lang.Object o)

  Deprecated.
  Specified by:
    `java_obj_id` in class `IdImpl`

Jython homepage